import * as beet from '@metaplex-foundation/beet';
import * as web3 from '@solana/web3.js';
import { DecompressableState } from '../types/DecompressableState';
export type SetDecompressableStateInstructionArgs = {
    decompressableState: DecompressableState;
};
export declare const setDecompressableStateStruct: beet.BeetArgsStruct<SetDecompressableStateInstructionArgs & {
    instructionDiscriminator: number[];
}>;
export type SetDecompressableStateInstructionAccounts = {
    treeAuthority: web3.PublicKey;
    treeCreator: web3.PublicKey;
    anchorRemainingAccounts?: web3.AccountMeta[];
};
export declare const setDecompressableStateInstructionDiscriminator: number[];
export declare function createSetDecompressableStateInstruction(accounts: SetDecompressableStateInstructionAccounts, args: SetDecompressableStateInstructionArgs, programId?: web3.PublicKey): web3.TransactionInstruction;
